%define pkgname RMagick
Summary:	Graphics Processing library for Ruby
Summary(pl.UTF-8):	Biblioteka przetwarzania grafiki dla Ruby
Name:		ruby-%{pkgname}
Version:	2.13.2
Release:	4
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/76735/%{pkgname}-%{version}.tar.bz2
# Source0-md5:	6af8dde463c2f7ec3e40bb75b28aa236
Patch0:		%{name}-IM.patch
URL:		http://rmagick.rubyforge.org/
BuildRequires:	ImageMagick-coder-dot
BuildRequires:	ImageMagick-coder-fpx
BuildRequires:	ImageMagick-coder-jbig
BuildRequires:	ImageMagick-coder-jpeg
BuildRequires:	ImageMagick-coder-jpeg2
BuildRequires:	ImageMagick-coder-miff
BuildRequires:	ImageMagick-coder-mpr
BuildRequires:	ImageMagick-coder-pdf
BuildRequires:	ImageMagick-coder-png
BuildRequires:	ImageMagick-coder-ps2
BuildRequires:	ImageMagick-coder-svg
BuildRequires:	ImageMagick-coder-tiff
BuildRequires:	ImageMagick-coder-url
BuildRequires:	ImageMagick-coder-wmf
BuildRequires:	ImageMagick-devel >= 1:6.7.0.7-2
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRequires:	ruby-rdoc
BuildConflicts:	ruby-RMagick < 1.7.2
%{?ruby_mod_ver_requires_eq}
%requires_eq_to	ImageMagick-libs ImageMagick-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface to the ImageMagick and GraphicsMagick image processing
libraries. Supports more than 80 image formats, including GIF, JPEG,
PNG. Includes 2D drawing API. Comprehensive HTML documentation.

%description -l pl.UTF-8
Jest to interfejs do bibliotek przetwarzania grafiki ImageMagick i
GraphicsMagick. Wspiera ponad 80 formatów graficznych, włączając w to
GIF, JPEG, PNG. Zawiera API dla dwuwymiarowego rysowania. Obszerna
dokumentacja w HTML-u.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
# this thingy tries to install html doc somewhere
# but we package it as %%doc
%{__rm} post-install.rb

%build
ruby setup.rb config \
	--siterubyver=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby setup.rb setup

rdoc --ri --op ri ext/RMagick lib
rdoc --op rdoc ext/RMagick lib
%{__rm} ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir},%{_examplesdir}/%{name}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc ChangeLog README.html
%{ruby_rubylibdir}/RMagick*
%{ruby_rubylibdir}/rvg*
%attr(755,root,root) %{ruby_archdir}/*.so
%{_examplesdir}/%{name}

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Magick
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-RMagick.git;a=log;h=master

* Sat Nov 23 2013 Jan Rękorajski <baggins@pld-linux.org> c3075a2
- release 4 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 021336c
- release 3 (by relup.sh)

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 56890ec
- release 2 (by relup.sh)

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> eb8d99d
- 0 updated to 2.13.2

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> fec1f27
- disable rdoc BR to rebuild with older ruby packages

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> 8267e0a
- rel 8

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> 8f8814d
- rel 7

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> c10e362
- BR ruby-rdoc

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> aa60b1d
- remove unneeded, problematic hunk

* Thu Apr 04 2013 Jan Rękorajski <baggins@pld-linux.org> 64ea689
- release 6 (by relup.sh)

* Fri Mar 09 2012 Jan Rękorajski <baggins@pld-linux.org> b565bfd
- release 5

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 49965b6
- release 4 (rebuild against ImageMagick-6.7.5.3)

* Thu Nov 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a9eb7c4
- release 3

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1eede13
- release 2

* Fri Jun 24 2011 Jan Rękorajski <baggins@pld-linux.org> e34a1c6
- use rm macro

* Fri Jun 24 2011 Jan Rękorajski <baggins@pld-linux.org> dec9ac7
- rel 1
- require ImageMagick with configs readable by all

* Fri Jun 24 2011 Jan Rękorajski <baggins@pld-linux.org> 26a830a
- Fixed defect in colorspace conversion due to change in ImageMagick 6.5.1

* Fri Jun 24 2011 Jan Rękorajski <baggins@pld-linux.org> 7bfbe95
- 2.13.1

* Thu Apr 28 2011 Jan Rękorajski <baggins@pld-linux.org> 3d76eb4
- release 12

* Mon Feb 07 2011 lisu <lisu@pld-linux.org> 38fb3dd
- rel 11 (new ImageMagick)

